#
# spec file for package ioping
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ioping
Version:        1.0
Release:        11.5
Summary:        A tool to monitor I/O latency in real time
License:        GPL-3.0+
Group:          System/Benchmark
Url:            https://github.com/koct9i/ioping
Source:         https://github.com/koct9i/ioping/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

%description
A tool to monitor I/O latency in real time. It shows disk latency in the
same way as ping shows network latency.

%prep
%setup -q

%build
make %{?_smp_mflags} CFLAGS="%{optflags} -std=gnu99"

%install
install -D -p -m 0755 %{name} \
  %{buildroot}%{_bindir}/%{name}
install -D -p -m 0644 %{name}.1 \
  %{buildroot}%{_mandir}/man1/%{name}.1

%files
%defattr(-,root,root,-)
%doc LICENSE README.md changelog
%{_bindir}/ioping
%{_mandir}/man1/ioping.1%{ext_man}

%changelog
* Fri Mar 24 2017 mpluskal@suse.com
- Update to version 1.0:
  * ioping: update changelog
  * ioping: cleanup statistics
  * ioping: allow fractional values in arguments
  * ioping: print total requests count in raw statistics
  * ioping: ignore first and classify other requests
  * ioping: add read-write mode
  * ioping: add option for speed limit
  * ioping: print total time, speed and count of requests
  * ioping: add mkostemp
  * ioping: add O_SYNC and O_DSYNC modes
  * ioping: call fadvise(RANDOM) for random I/O
  * ioping: remove fdatasync test before oprations
  * Merge pull request #29 from vapier/master
  * Makefile: do not strip while installing
  * Makefile: make it easier to override default optimization settings
  * Makefile: respect CPPFLAGS when compiling
  * ignore generated files
  * ioping: include sys/sysmacros.h for makedev
  * ioping: use xorshift128+ for randomization
  * Makefile: fix mac detection
  * Makefile: no -lrt for mac
  * ioping: no clock_gettime for mac
  * travis-ci: enable osx
  * ioping: link mingw without -lrt
  * ioping: link with -lrt
  * travis-ci: add .travis.yml
  * Makefile: add test target
  * ioping: switch to nanosecond precision
  * Makefile: rename README to README.md
  * Merge branch 'patch-1' of https://github.com/davidak/ioping
  * README.md: update formatting
  * Merge pull request #27 from jgrizou/master
  * Rename README to README.md
  * Update README
  * add link to Nix expression
  * ioping: update changelog
  * ioping: use long long for count of requests
  * ioping: add option -t for detecting cache hits
  * ioping: use cached direct I/O by default if non-cached isn't supported
  * ioping: add windows "overlapped" aio
  * ioping: declare windows have direct I/O
  * ioping: open files with CreateFile on windows
  * ioping: get more randomness on windows
  * ioping: do not override custom interval and deadline by -R
  * Makefile: add top directory into binary archives
  * ioping: keep VERSION right in ioping.c
  * ioping: update help and manpage
  * ioping: update README
  * ioping: fix several integer overflows
  * ioping: handle big requests on linux
  * ioping: always respect explicitly set size
  * ioping: print amount of data written/read
  * ioping: print io run-time instead of real-time
  * ioping: expand all symlinks in device path
* Fri Oct 28 2016 jengelh@inai.de
- Summary fix
* Tue Oct 25 2016 mpluskal@suse.com
- Cleanup spec file
- Update url
- Package based on home:borzz/ioping
